/***************************************************************************

    supportware
    Copyright (C) 2001-2007 by c.holzheuer
    c.holzheuer@sourceworx.org

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

***************************************************************************/


#ifndef SXSITES_H
#define SXSITES_H

#include <ddwebsite.h>


/// sxsitecomputer: die mutter aller sn-seiten: "www.supportnet.de"
/**

*/

class sxsitecomputer : public ddwebsite
{

public: 

	sxsitecomputer();
	virtual ~sxsitecomputer();

  virtual void 		init_pagelets();
	void		 				rewrite_path( ddwebrequest& request );
		
	virtual bool is_group_valid( int grpid )
	{
		if( grpid > DDLASTGROUPID )
			return false;
		switch( grpid )
		{
			case 2  : case 12 : case 13 : case 14 : case 19 : case 32 : case 36 : case 37 : case 38 :		
			case 24 : case 26 : case 25 :  
				return false;
		}
		return true;

	}
	
	/*
	inline bool is_group_valid( int grpid )
	{
		// FIX!! das zeigt evil und admin an!!!!!!!!!
		return ( _idset.count( grpid ) > 0 );
	}
	*/
	
};


/***************************************************************************

    supportware
    Copyright (C) 2001-2007 by c.holzheuer
    c.holzheuer@sourceworx.org

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

***************************************************************************/


/// sxsitekochen: dummy für kochen
/**

*/

class sxsitekochen : public ddwebsite
{

public: 

	sxsitekochen();
  
	virtual ~sxsitekochen()
  {
  }

	virtual void init_pagelets();

	virtual bool is_group_valid( int grpid )
	{
		// pfusch
		if( grpid >= 200 && grpid <= 420 )
			return true;
		switch( grpid )
		{
			case 1 : case 3 : case 20 : case 30 :
				return true;
		}
		return false;
	}
  
};


/***************************************************************************

    supportware
    Copyright (C) 2001-2010 by c.holzheuer
    c.holzheuer@sourceworx.org

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

***************************************************************************/


/// sxsitegames: games.supportnet.de
/**

*/


class sxsitegames : public ddwebsite
{

public: 

	sxsitegames();
  
  virtual ~sxsitegames()
  {
  }

	virtual void init_pagelets();
	
	virtual bool is_group_valid( int grpid )
	{
		if( grpid >= 200 && grpid <= 223 )
			return true;
		switch( grpid )
		{
			case 1 : case 3 : case 20 : case 30 :
				return true;
		}
		return false;
	}
  
};



#endif
